# Required sections
# This file represents the base specification of your challenge. It is used by
# other tools to install and deploy your challenge.

# Original repo: https://gitlab.com/hu-hc/jcr/challenges/cloud103

# Required sections
name: "Cloud103"
author: "Daniel Meinsma"
category: "Cloud"
description: |
  Use SSH to connect to one of the public IP addresses, on the nodePort.

  Credentials = unpriv:unpriv

  This challenge is about escaping a chroot jail. After using SSH, run ./start_container in the /home folder."
# No value was specified in the repo
value: 100 

type: container

# Optional settings
connection_info: ssh -p <port> unpriv@<IP-ADDRESS>

flags:
    - JCR(are_you_on_cloud_nine)
topics:
    - chroot jail
tags:
    - Escape chroot jail
    - Cloud
    - Container
hints:
    - {
        content: "This is a container challenge!",
        cost: 10
    }
    - This hint is free
state: visible
version: "0.1"

extra:
    initial: 500
    decay: 100
    minimum: 50
    challenge_type: other
    compose: | 
        version: '3.3'

        services:
            cloud103:
                container_name: cloud103
                image: registry.gitlab.com/jointcyberrange.nl/bazaar-of-ctfd-challenges/cloud103:latest
                ports:
                  - 22:22
                labels:
                  kompose.service.type: nodeport

